<?php
include ("init.php");
include 'template/header.php';

if (logged_in()) {
    header('Location: index.php');
    exit();
}
?>

<h3>Register</h3>

<?php
if (isset($_POST['register_email'], $_POST['register_name'], $_POST['register_password'])) {
    $register_email = $_POST['register_email'];
    $register_name = $_POST['register_name'];
    $register_password = $_POST['register_password'];

    $errors = array();

    if (empty($register_email) || empty($register_name) || empty($register_password)) {
        $errors[] = 'All fields are required';
    } else {
        if (filter_var($register_email, FILTER_VALIDATE_EMAIL) === false) {
            $errors[] = 'Email address not valid';
        }

        if (strlen($register_email) > 255 || strlen($register_name) > 25 || strlen($register_password) > 25) {
            $errors[] = 'one or more fields consits too many characters';
        }

        if (user_exists($register_email) === true) {
            $errors[] = 'That email has already registered.';
        }
    }

    if (!empty($errors)) {
        foreach ($errors as $error) {
            echo $error . '<br/ >';
        }
    } else {
        $register = user_register($register_email, $register_name, $register_password);
        $_SESSION['user_id'] = $register;
        header('Location: index.php');
        exit();
    }
}
?>

<form action="" method="POST">
    <p>Email: <br><input type="email" name="register_email" size="35" maxlength="255"></p>
    <p>Full name: <br> <input type="text" name="register_name" maxlength="35"</p>
    <p>Password: <br><input type="password" name="register_password" maxlength="35"</p>
    <p><input type="submit" value="Register"></p>
</form>
<?php
include 'template/footer.php';
?>